<?php

/**
 * This example illustrates the use of the 
 * DataList object classes.  This object
 * can show a list of data from any data source
 * and have any GUI layout and provide the 
 * features of:
 * searching, sorting, paging of the data.
 *
 * This page shows the Data coming a CSV 
 * (comma seperated values) file on disk.
 *
 * $Id: widget7.php,v 1.4 2003/07/28 17:02:03 hemna Exp $
 *
 * @author Walter A. Boring IV <waboring@buildabetterweb.com>
 * @package phpHtmlLib
 * @subpackage widget-examples
 * @version 2.0
 *
 */ 

/**
 * Include the phphtmllib libraries
 *
 */
include_once("includes.inc");
include_once("db_defines.inc");

include_once($phphtmllib."/widgets/data_list/includes.inc");
include_once($phphtmllib."/widgets/data_list/CSVFILEDataListSource.inc");

/**
 * This class shows how to use the data coming
 * from a CSV Formatted file
 *
 */
class csvfilelist extends DefaultGUIDataList {

	function get_data_source() {
		$source = new CSVFILEDataListSource("test.csv");
		$this->set_data_source( &$source );
	}

	function user_setup() {
		$this->add_header_item("First Name", "200", "FName", SORTABLE, SEARCHABLE);
        $this->add_header_item("Last Name", "200", "LName", SORTABLE, SEARCHABLE);
        $this->add_header_item("Email", "200", "Email", SORTABLE, SEARCHABLE, "center");
	}
}


//create the page object
$page = new HTMLPageClass("phpHtmlLib Widgets - DataList Example",
						  XHTML_TRANSITIONAL);

//enable output debugging.
if (isset($_GET['debug'])) {
    $page->set_text_debug( TRUE );
}

//add the css
$page->add_head_css( new DefaultGUIDataListCSS );

//build the csv file data list object.
$csvlist = new csvfilelist("CSV File list", 600, "LName");
$csvlist->set_align("right");

$page->add( html_span("font10", "View the source ",
					  html_a("test.csv", "test.csv file.")),
			html_br(2),
            $csvlist );

print $page->render();
?>
