<?php
/**
 * This file contains the FileUpload FormElement class.
 *
 * $Id: FEFile.inc,v 1.1 2003/04/17 06:07:16 hemna Exp $
 *
 * @author Walter A. Boring IV <waboring@buildabetterweb.com>
 * @author Dave Brondsema <dave@brondsema.net>
 * @package phpHtmlLib
 * @subpackage FormProcessing
 *
 * @copyright LGPL - See LICENCE
 *
 */

 /**
 * This is the FileUpload FormElement which builds a
 * input field of type="file".
 *
 * @author Dave Brondsema <dave@brondsema.net>
 * @package phpHtmlLib
 * @subpackage FormProcessing
 *
 * @copyright LGPL - See LICENCE
 */
class FEFile extends FEText {

    /**
     * This function builds and returns the
     * form element object
     *
     * @return object
     */
    function get_element() {

        $attributes = $this->_build_element_attributes();
        $attributes["type"] = "file";

        if (($value = $this->get_value()) != NULL)
            $attributes["value"] = $value;

        $tag = new INPUTtag($attributes);

        return $tag;
    }

    /**
     * This method validates the data
     * for this Form Element.
     *
     * It validates file size and partial uploads..
     * @param FormValidation object.
     */
	function validate(&$_FormValidation) {
		switch ($_FILES[$this->get_element_name()]['error'])
		{
			case 0:
				if ($_FILES[$this->get_element_name()]['size'] == 0) {
					$this->set_error_message("The uploaded file was empty.");
					return FALSE;
				}
				break;
			case 1:
				$this->set_error_message("The uploaded file exceeds the maximum file size, " . ini_get("upload_max_filesize"));
				return FALSE;
				break;
			case 2:
				$this->set_error_message("The uploaded file exceeds the maximum file size, " . $_REQUEST['MAX_FILE_SIZE'] . " bytes, specified for this form.");
				return FALSE;
				break;
			case 3:
				$this->set_error_message("The uploaded file was only partially uploaded.");
				return FALSE;
				break;
			case 4:
				$this->set_error_message("No file was uploaded.");
				return FALSE;
				break;
			case 5:
				$this->set_error_message("The uploaded file was empty.");
				return FALSE;
				break;
		}

        return TRUE;
    }

     /**
     * This function will return the
     * elements value
     *
     * @return mixed
     */
	 function get_value() {
		return @$_FILES[$this->get_element_name()]['name'];
	}


     /**
     * This function will return this file's portion of the $_FILES array
     *
     * @return array
     */
	function get_file_info() {
		return $_FILES[$this->get_element_name()];
	}

}
