<?php
/**
 * This file contains the base FormElement class.
 *
 * $Id: misc.inc,v 1.3 2003/02/18 23:02:01 hemna Exp $
 *
 * @author Walter A. Boring IV <waboring@buildabetterweb.com>
 * @author Suren Markossian <suren@bcsweb.com>
 * @package phpHtmlLib
 * @subpackage FormProcessing
 *
 * @copyright LGPL - See LICENCE
 *
 */
 
/**
 * This is the Hidden FormElement which builds a 
 * input field of type="hidden". It has no validation method.
 * 
 *
 * @author Walter A. Boring IV <waboring@buildabetterweb.com>
 * @author Suren Markossian <suren@bcsweb.com>
 * @package phpHtmlLib
 * @subpackage FormProcessing
 *
 * @copyright LGPL - See LICENCE
 */
class FEHidden extends FormElement {

    function FEHidden($label, $value=NULL) {
        $this->FormElement($label);
        if ($value != NULL) {
            $this->set_value( $value );
        }        
    }

    function get_element() {
        return form_hidden($this->get_element_name(),
                           $this->get_value() );
    }
}

/**
 * This is a way of providing an Error to the FormProcessor.
 * It can be used at any time during FormContent to create
 * a specialized error field and message.
 * 
 *
 * @author Walter A. Boring IV <waboring@buildabetterweb.com>
 * @author Suren Markossian <suren@bcsweb.com>
 * @package phpHtmlLib
 * @subpackage FormProcessing
 *
 * @copyright LGPL - See LICENCE
 */
class FEError extends FormElement {   

    /**
     * The constructor
     *
     * @param string the error label
     * @param string the error message
     */
    function FEError( $label, $message ) {
        $this->set_label_text($label);
        $this->set_error_message($message);
    }

}
?>
